gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gdk.EventMaskGType)) System.Flags A set of bit-flags to indicate which events a window is to receive. Most of these masks map onto one or more of the event types above. To be added
- Field
  2.12.0.0
  Gdk.EventMask The combination of all the above event masks.
- Field
  2.12.0.0
  Gdk.EventMask Receive pointer motion events while 1 button is pressed.
- Field
  2.12.0.0
  Gdk.EventMask Receive pointer motion events while 2 button is pressed.
- Field
  2.12.0.0
  Gdk.EventMask Receive pointer motion events while 3 button is pressed.
- Field
  2.12.0.0
  Gdk.EventMask Receive pointer motion events while any button is pressed.
- Field
  2.12.0.0
  Gdk.EventMask Receive button press events.
- Field
  2.12.0.0
  Gdk.EventMask Receive button release events.
- Field
  2.12.0.0
  Gdk.EventMask Receive window enter events.
- Field
  2.12.0.0
  Gdk.EventMask Receive expose events.
- Field
  2.12.0.0
  Gdk.EventMask Receive focus change events.
- Field
  2.12.0.0
  Gdk.EventMask Receive key press events.
- Field
  2.12.0.0
  Gdk.EventMask Receive key release events.
- Field
  2.12.0.0
  Gdk.EventMask Receive window leave events.
- Field
  2.12.0.0
  Gdk.EventMask Special mask which is used to reduce the number of .MotionNotify events received
- Field
  2.12.0.0
  Gdk.EventMask Receive all pointer motion events.
- Field
  2.12.0.0
  Gdk.EventMask Receive property change events.
- Field
  2.12.0.0
  Gdk.EventMask Receive proximity in events.
- Field
  2.12.0.0
  Gdk.EventMask Receive proximity out events.
- Field
  2.12.0.0
  Gdk.EventMask Receive scroll events.
- Field
  2.12.0.0
  Gdk.EventMask Receive events about window configuration change.
- Field
  2.12.0.0
  Gdk.EventMask Receive events about window configuration changes of child windows.
- Field
  2.12.0.0
  Gdk.EventMask Receive visibility change events.